/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2012. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PROG_INF                         1       /* callback function: cbPnlHelp */
#define  PROG_INF_CMD_QUIT                2       /* control type: command, callback function: cbCtlHelpInfoQuit */
#define  PROG_INF_TEXTMSG                 3       /* control type: textMsg, callback function: (none) */
#define  PROG_INF_DEC_1                   4       /* control type: deco, callback function: (none) */
#define  PROG_INF_COPYR_CVI               5       /* control type: textMsg, callback function: (none) */
#define  PROG_INF_TEXTMSG_6               6       /* control type: textMsg, callback function: (none) */
#define  PROG_INF_TXT_INFO                7       /* control type: textMsg, callback function: (none) */
#define  PROG_INF_REVISION                8       /* control type: textMsg, callback function: (none) */
#define  PROG_INF_TEXTMSG_7               9       /* control type: textMsg, callback function: (none) */
#define  PROG_INF_VERSION                 10      /* control type: textMsg, callback function: (none) */
#define  PROG_INF_TEXTMSG_16              11      /* control type: textMsg, callback function: (none) */
#define  PROG_INF_TEXTMSG_14              12      /* control type: textMsg, callback function: (none) */
#define  PROG_INF_DATA_VERS               13      /* control type: textMsg, callback function: (none) */
#define  PROG_INF_TEXTMSG_15              14      /* control type: textMsg, callback function: (none) */
#define  PROG_INF_BS                      15      /* control type: textMsg, callback function: (none) */
#define  PROG_INF_LOGO                    16      /* control type: picture, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK cbCtlHelpInfoQuit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbPnlHelp(int panel, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
