/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2012. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  OPTDATA                          1       /* callback function: cbPnlOptData */
#define  OPTDATA_GRAPH_PATH               2       /* control type: string, callback function: (none) */
#define  OPTDATA_DATA_PATH                3       /* control type: string, callback function: (none) */
#define  OPTDATA_SECURITY_DIR             4       /* control type: string, callback function: (none) */
#define  OPTDATA_DAT_FILE                 5       /* control type: string, callback function: (none) */
#define  OPTDATA_CHG_DAT                  6       /* control type: command, callback function: cbCtlOptDataChangeDir */
#define  OPTDATA_CMD_ESC                  7       /* control type: command, callback function: cbCtlOptDataEsc */
#define  OPTDATA_NUMMEAS                  8       /* control type: numeric, callback function: (none) */
#define  OPTDATA_NUMLAGER                 9       /* control type: numeric, callback function: (none) */
#define  OPTDATA_NUMPROBES                10      /* control type: numeric, callback function: (none) */
#define  OPTDATA_NUMPLOTS                 11      /* control type: numeric, callback function: (none) */
#define  OPTDATA_DATAVER                  12      /* control type: numeric, callback function: (none) */
#define  OPTDATA_CMD_OK                   13      /* control type: command, callback function: cbCtlOptDataOK */
#define  OPTDATA_CHK_GPHSAVE              14      /* control type: radioButton, callback function: (none) */
#define  OPTDATA_DATTYPE                  15      /* control type: ring, callback function: (none) */
#define  OPTDATA_DECORATION               16      /* control type: deco, callback function: (none) */
#define  OPTDATA_DECORATION_2             17      /* control type: deco, callback function: (none) */
#define  OPTDATA_TIT_INFO                 18      /* control type: textMsg, callback function: (none) */
#define  OPTDATA_TIT_DATA                 19      /* control type: textMsg, callback function: (none) */

#define  OPTDATA2                         2       /* callback function: cbPnlOptData */
#define  OPTDATA2_DAT_FILE                2       /* control type: string, callback function: (none) */
#define  OPTDATA2_CHG_DAT                 3       /* control type: command, callback function: cbCtlOptDataChangeDir */
#define  OPTDATA2_CMD_ESC                 4       /* control type: command, callback function: cbCtlOptDataEsc */
#define  OPTDATA2_CMD_OK                  5       /* control type: command, callback function: cbCtlOptDataOK */
#define  OPTDATA2_CHK_GPHSAVE             6       /* control type: radioButton, callback function: (none) */
#define  OPTDATA2_CHK_AUTOSAVE            7       /* control type: radioButton, callback function: cbCtlOptDataAutoSave */
#define  OPTDATA2_DATTYPE                 8       /* control type: ring, callback function: (none) */
#define  OPTDATA2_SAVEINV                 9       /* control type: numeric, callback function: (none) */
#define  OPTDATA2_DECORATION              10      /* control type: deco, callback function: (none) */

#define  OPTPROGRAM                       3       /* callback function: cbPnlOptProgram */
#define  OPTPROGRAM_DLL_VER               2       /* control type: string, callback function: (none) */
#define  OPTPROGRAM_BACKUP_PATH           3       /* control type: string, callback function: (none) */
#define  OPTPROGRAM_FLOAT_NUM             4       /* control type: numeric, callback function: (none) */
#define  OPTPROGRAM_NUMERIC_NUM           5       /* control type: numeric, callback function: (none) */
#define  OPTPROGRAM_KOMMA_OPT             6       /* control type: numeric, callback function: (none) */
#define  OPTPROGRAM_KOMMA                 7       /* control type: numeric, callback function: (none) */
#define  OPTPROGRAM_GRAPH_TEMP_PATH       8       /* control type: string, callback function: (none) */
#define  OPTPROGRAM_LOG_PATH              9       /* control type: string, callback function: (none) */
#define  OPTPROGRAM_INI_PATH              10      /* control type: string, callback function: (none) */
#define  OPTPROGRAM_CMD_ESC               11      /* control type: command, callback function: cbCtlOptProgramEsc */
#define  OPTPROGRAM_CMD_OK                12      /* control type: command, callback function: cbCtlOptProgramOK */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK cbCtlOptDataAutoSave(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlOptDataChangeDir(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlOptDataEsc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlOptDataOK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlOptProgramEsc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlOptProgramOK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbPnlOptData(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbPnlOptProgram(int panel, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
