/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  EXIT                            1       /* callback function: cbPnlExit */
#define  EXIT_CMD_NO                     2       /* callback function: cbCtlExitNo */
#define  EXIT_CMD_YES                    3       /* callback function: cbCtlExitYes */
#define  EXIT_TEXT_1                     4

#define  EXIT_DATA                       2       /* callback function: cbPnlExitData */
#define  EXIT_DATA_CMD_NO                2       /* callback function: cbCtlExitData */
#define  EXIT_DATA_CMD_ESC               3       /* callback function: cbCtlExitData */
#define  EXIT_DATA_CMD_YES               4       /* callback function: cbCtlExitData */
#define  EXIT_DATA_TEXT_1                5

#define  EXIT_SETUP                      3       /* callback function: cbPnlExitSetup */
#define  EXIT_SETUP_CMD_NO               2       /* callback function: cbCtlExitSetup */
#define  EXIT_SETUP_CMD_ESC              3       /* callback function: cbCtlExitSetup */
#define  EXIT_SETUP_CMD_YES              4       /* callback function: cbCtlExitSetup */
#define  EXIT_SETUP_TEXT_1               5


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK cbCtlExitData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlExitNo(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlExitSetup(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbCtlExitYes(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbPnlExit(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbPnlExitData(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cbPnlExitSetup(int panel, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
